globus_gass_transfer_request_proto_s(3)

NAME
globus_gass_transfer_request_proto_s - Protocol module request handling structure.

SYNOPSIS

#include <globus_gass_transfer_proto.h>

  Data Fields

globus_gass_transfer_proto_send_t send_buffer
globus_gass_transfer_proto_receive_t recv_buffer
globus_gass_transfer_proto_func_t fail
globus_gass_transfer_proto_func_t deny
globus_gass_transfer_proto_func_t refer
globus_gass_transfer_proto_func_t authorize
globus_gass_transfer_proto_func_t destroy

Detailed Description

Protocol module request handling structure.

This structure is created by a GASS transfer protocol module to handle a particular request. It is created in response to a listener's accept method or a protocol module's new_request method.

Memory management of this structure is the responsibility of the protocol module. The destroy method will be called when the GASS Transfer library is finished dealing with it.

A protocol module may create a extension to this structure to contain protocol-specific information, as long as the first fields of the structure match this type.

See also
    globus_gass_transfer_proto_request_ready()

Field Documentation

  globus_gass_transfer_proto_func_t globus_gass_transfer_request_proto_s::authorize
Authorize a request.

  globus_gass_transfer_proto_func_t globus_gass_transfer_request_proto_s::deny
Deny a request.

  globus_gass_transfer_proto_func_t globus_gass_transfer_request_proto_s::destroy
Destroy a request.

  globus_gass_transfer_proto_func_t globus_gass_transfer_request_proto_s::fail
Fail a request.

This function is called when the application calls globus_gass_transfer_fail() on a request.

  globus_gass_transfer_proto_receive_t globus_gass_transfer_request_proto_s::recv_buffer
Receive bytes.

See also
    globus_gass_transfer_proto_recv_t

  globus_gass_transfer_proto_func_t globus_gass_transfer_request_proto_s::refer
Refer a request.

  globus_gass_transfer_proto_send_t globus_gass_transfer_request_proto_s::send_buffer
Send bytes.

See also
    globus_gass_transfer_proto_send_t

Author

Generated automatically by Doxygen for globus_gass_transfer from the source code.